Bug 807618 - [abrt] gconf-editor-3.0.1-2.fc17: __GI_raise: Process /usr/bin/gconf-editor was killed by signal 6 (SIGABRT)
[abrt] gconf-editor-3.0.1-2.fc17: __GI_raise: Process /usr/bin/gconf-editor w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:f4d8796fa06e09a524cb816ed8f...
:
: 971622 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 06:48 EDT by Christoph Wickert
Modified: 2014-02-05 06:56 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:55:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.19 KB, text/plain)
2012-03-28 06:49 EDT, Christoph Wickert
no flags Details
File: maps (28.70 KB, text/plain)
2012-03-28 06:49 EDT, Christoph Wickert
no flags Details
File: backtrace (27.42 KB, text/plain)
2012-03-28 06:49 EDT, Christoph Wickert
no flags Details

  None (edit)
Description Christoph Wickert 2012-03-28 06:48:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gconf-editor
comment:        I left clicked on the main area of the window and then gconf-editor crashed.
crash_function: __GI_raise
executable:     /usr/bin/gconf-editor
kernel:         3.3.0-1.fc17.x86_64
pid:            28364
reason:         Process /usr/bin/gconf-editor was killed by signal 6 (SIGABRT)
time:           Di 27 Mär 2012 23:35:07 CEST
uid:            1000
xsession_errors: 

backtrace:      Text file, 28074 bytes
dso_list:       Text file, 6343 bytes
maps:           Text file, 29387 bytes

build_ids:
:d2c76dbcc861f6d3b82a5a29f1a6ce1d2050b67c
:60c48bccb1ee8588601cf3e3146a476d8a776238
:995f6f18d5910289af8d873e3599caf62f561191
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:2e9c83ca984afb608a9c0e27ab8dd0b0c4f89746
:e9510ea5a101b687231a5f0a6be5cbb425c6b841
:ba411626ac13091abd42b787a74e754ac0188c13
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:cf6775a44879ae43d76a03f3de47b86d72ddea0e
:8a58512c2cc89530f70932553442289158de3083
:0b5d9b92db76189b74ae7cdb82008acaed95ee14
:a731548eefaeff1162241e71b397335fec9a0b37
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:9700c9ce7dfe4ab6f4dbe4df05374afc39b2d140
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:5093d5d2c98a98180a8ec97681943fa300b2d096
:005464563090f9648c12bfa2c9b2f8dcb72313e8
:afd73296612c0fcc24ecffd1a535c8a3e1680bd3
:35873a5c01548849d307db8f8ee296d7d58fb7fb
:fd6500ced2b0f02efe3689d05009499035e1a5c9
:508cf66f72e70054a41215f80ed2385c6bb80030
:63651cdc0224824a9c9324c77c3b5887378e871d
:d23ad34ab62b74ab51eb61de167b89aac5fcdc34
:e789f001d792823f657f39b4f9a2ef4935271c64
:2a19651717ca94078d6f064b28d9f7f4985de0ae
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:2c09a3f87a92231b0acabb79968d235d61c36967
:822e9b3523e8312240f41a25722d539bc77ed436
:26ff6793388e27dc9653ffbcfc0f03ec778eca50
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:9af33edde528c64869abfcce919051d5b15848d9
:7c35310fc506498c612d5d982ab03becc4b4817c
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:666abf228c966f37766ad17cd64ba794136e9ac9
:d804f8ee47797da9213a92f00cd095ecada8d79f
:598ac1ab8dcdb0bd5573fd4b812713b5ef138892
:277b97371ae2d497c5c19b71a7a22ca391c346d9
:4b044fe80e4c1b69986abc4b160c303048005d4e
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9
:6ab431f94a2d4b59345a333f12acd8152f48c05e
:54a5cc118d928470da13565de8592b664a9868e0
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0191e6b6eda0778ad1a9c672dcce82762575d3d8
:f2bcd852f344cf90ce2a2298a4b89d8aaeee8a68
:7a19fd8074fd835024c84b4e6725f7827f3178a3
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:247132297f287226a24c12e683292f5c94013066
:f25150cb1a0a1ea5e26a93ed88f25cb1b189e648
:f9cf1e44a2f97bfa171687e20b003e919fcdba8a
:f03b79397ed9c0851f0541cd15e309cfbd944dad

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1236
:HOSTNAME=thinkmatic.localdomain
:GPG_AGENT_INFO=/home/chris/.gnupg/S.gpg-agent:1262:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5e0ea2c735e2c8b572c974c600000022-1332681855.621289-717108290
:GNOME_KEYRING_CONTROL=/tmp/keyring-FyZ3ya
:USER=chris
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-ujMClebZ1216/agent.1216
:USERNAME=chris
:NEWSPEC_MIN_RPMVER=4.4
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/chris
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/chris/.bin
:PWD=/home/chris
:EDITOR=nano
:KDE_IS_PRELINKED=1
:LANG=de_DE.UTF-8
:GNOME_KEYRING_PID=1214
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:T610=00:0F:DE:1C:B4:DD
:SHLVL=2
:HOME=/home/chris
:XDG_SEAT=seat0
:LOGNAME=chris
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Q8xKAUmwDq,guid=c70ca0fc4b01c5b48e4ae92100000032
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/chris
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:NEWSPEC_PREFER_MACROS=1
:N97=D8:75:33:B8:52:4E
:XAUTHORITY=/var/run/gdm/auth-for-chris-wRF4tc/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1271,unix/unix:/tmp/.ICE-unix/1271
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/gconf-editor/1278-18-thinkmatic.localdomain_TIME96477315

var_log_messages:
:Mar 27 13:12:12 thinkmatic yum[23713]: Installed: gconf-editor-3.0.1-2.fc17.x86_64
:Mar 27 23:35:07 thinkmatic abrt[22044]: Saved core dump of pid 28364 (/usr/bin/gconf-editor) to /var/spool/abrt/ccpp-2012-03-27-23:35:07-28364 (6176768 bytes)
Comment 1 Christoph Wickert 2012-03-28 06:49:02 EDT
Created attachment 573302 [details]
File: dso_list
Comment 2 Christoph Wickert 2012-03-28 06:49:05 EDT
Created attachment 573303 [details]
File: maps
Comment 3 Christoph Wickert 2012-03-28 06:49:09 EDT
Created attachment 573304 [details]
File: backtrace
Comment 4 Stefan Schulze Frielinghaus 2012-05-31 08:29:38 EDT
While "browsing" through /apps/evolution the editor crashes after 20 to 30 seconds. This is reproducable.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 John Bouras 2012-06-01 12:15:00 EDT
Jus' playin' around with gconf. Pretty sure I didn't change anythin'

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 anton 2012-06-03 14:32:33 EDT
При попытке поставить изменить ключ приложение вылетает

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 anton 2012-06-03 14:35:11 EDT
(In reply to comment #6)
> При попытке выделить или изменить ключ приложение вылетает
> 
> backtrace_rating: 4
> Package: gconf-editor-3.0.1-2.fc17
> OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Milan Slanař 2012-06-15 10:06:43 EDT
just using gconf-editor

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Stefan 2012-06-24 14:04:29 EDT
Steps to reproduce:

1) Navigate to apps/gnome-search-tool
2) select any key in the right pane
3) Select apps in the tree-view
4) Now it will crash.

Error in the console:
GConf:ERROR:gconf-client.c:2369:gconf_client_lookup: assertion failed: (last_slash != NULL)


backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Damien Grassart 2012-06-25 08:56:35 EDT
Double clicked on an entry and it crashed.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 jibecfed 2012-07-01 16:33:30 EDT
searched "screen" in every shearch field and clicked on one of the results

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Tomislav Vujec 2012-07-04 02:05:17 EDT
Expanding long description for a gconf field that initially appeared with a scrollbar.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Adam Williamson 2012-07-14 20:18:52 EDT
Just went from one field to another - was looking at the xchat-gnome settings, I believe.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 D. Charles Pyle 2012-07-17 18:28:41 EDT
I was going from page to page looking for a variable to change the speed of animations on Gnome 3.4.2 when it crashed.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 hywel 2012-07-25 19:51:27 EDT
just a click

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 andreas.davour 2012-07-27 04:54:45 EDT
I had entered apps->metacity->global keybindings. There I scrolled through the list, clicked one keybinding to edit it, changed my mind and did not. Then I switched to general bindings and core dumped. I happens again if I do those moves.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 D. Charles Pyle 2012-07-28 08:50:47 EDT
Clicked in Monitor settings in gconf-editor. Not sure why it happened.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Mehmet Köse 2012-08-02 23:24:16 EDT
Gnome wasn't installed.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 George Koutras 2012-08-17 17:34:23 EDT
clicked on "Accessibility" in gconf-editor (called through panel>settings center)

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 David Klann 2012-08-21 10:51:16 EDT
Open gconf-editor

click edit->find

type "cursor", click "Search also in key names", click "Search also in key values", click "Find"

Click on first line of search results; key is highlighted in the "Name" "Value" panel

Click on the second search result; gconf-editor crashes.

Repeatable: always.


backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 tumbleweedterrace 2012-08-24 21:14:27 EDT
Just browsing the application tree

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 Adam Stein 2012-08-31 10:15:03 EDT
Looked up all the http related entries.  Was clicking from one to another.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 23 Andrej Podzimek 2012-10-17 05:28:36 EDT
I clicked through the menu and it crashed somewhere in the "schemas" branch. Note that I use KDE, so it might be related to the crash. The reason for using gconf-editor is simple: to force some disobedient applications that only read Gnome configuration to use the same web browser and mail client as KDE applications.

backtrace_rating: 4
Package: gconf-editor-3.0.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 24 Jacob Hunt 2012-12-17 11:31:28 EST
While clicking on key names the app seems to randomly crash.  Sometimes I can click on two or three and the app will crash, sometimes it takes several clicks through various key names before it will crash.

backtrace_rating: 4
Package: gconf-editor-3.0.1-3.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 25 jose.miguel.perez.hernandez 2013-01-21 07:53:09 EST
On Fedora 18, gconf-editor-3.0.1-3.fc18.x86_64


$ gconf-editor 
**
GConf:ERROR:gconf-client.c:2369:gconf_client_lookup: assertion failed: (last_slash != NULL)
Aborted
Comment 26 Grzegorz Witkowski 2013-03-15 18:57:58 EDT
gconf-editor-3.0.1-2.fc17.x86_64
Fedora release 17 (Beefy Miracle)
3.7.9-104.fc17.x86_64
gnome-desktop3-3.4.2-1.fc17.x86_64

Lunch gconf-editor and click couple of different settings. It will crash very quickly. 

[user@cmstorm ~]$ gconf-editor 
**
GConf:ERROR:gconf-client.c:2369:gconf_client_lookup: assertion failed: (last_slash != NULL)
Aborted (core dumped)
[user@cmstorm ~]$
Comment 27 Martin Ebourne 2013-04-16 23:08:36 EDT
Still current in f18, abrt just directed me here.
gconf-editor-3.0.1-3.fc18.x86_64

It crashed on me repeatedly while I was just browsing around the keys.
Comment 28 Pavel Roskin 2013-06-07 09:33:37 EDT
*** Bug 971622 has been marked as a duplicate of this bug. ***
Comment 29 John Sullivan 2013-12-05 09:04:51 EST
Ubuntu has a patch for this. Well, two, actually. The first (1ubuntu1) doesn't work so well, it fixes the assertion failure, but merely pushes it to an actual segfault a little later. The second attempt (1ubuntu2, which is simply the upstream gnome.org fix) appears to work much better and the bit of poking around I've done here fails to generate any kind of crash with it applied.

https://launchpad.net/ubuntu/+source/gconf-editor/3.0.1-1ubuntu1
http://launchpadlibrarian.net/94576998/gconf-editor_3.0.1-1_3.0.1-1ubuntu1.diff.gz

https://launchpad.net/ubuntu/+source/gconf-editor/3.0.1-1ubuntu2
http://launchpadlibrarian.net/101324591/gconf-editor_3.0.1-1ubuntu1_3.0.1-1ubuntu2.diff.gz
https://git.gnome.org/browse/gconf-editor/commit/src/gconf-list-model.c?id=25d823099337f7ede4782f46fea46f251646dc3e
Comment 30 Fedora End Of Life 2013-12-21 03:34:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 31 Fedora End Of Life 2014-02-05 06:56:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.